Subject: bug#72068: show-paren-mode does not match Chinese parentheses correctly

From: Dmitry Gutov <[email-masked]>
Date: Thu, 1 Aug 2024 04:10:05 +0300

On 25/07/2024 14:34, Stefan Monnier via Bug reports for GNU Emacs, the 
Swiss army knife of text editors wrote:
>> And if changing the syntax table is the solution, users can already do
>> that if they want, right?
> Other than via things like `mmm-mode` (which I've never seen used to
> use different modes in strings than in code), I don't think they can.

IIRC Steve Purcell (who shares his config publicly for many other users) 
used to have mmm-mode apply sql-mode inside Ruby heredocs (which are 
fancy multiline strings, basically) that are "tagged" to contain SQL.

And here's somebody else who wanted to have html-mode inside a JS 
string: https://github.com/dgutov/mmm-mode/issues/142 The intermediate 
conclusion there is to use a ts-based config, though.

And as far as show-paren-mode goes, this might be something that 
mmm-mode itself could have workarounds for anyway.